function [g2_v, T_order, T] = dynamic_g2(y, x, params, steady_state, T_order, T)
if nargin < 6
    T_order = -1;
    T = NaN(95, 1);
end
[T_order, T] = dw_AF13.sparse.dynamic_g2_tt(y, x, params, steady_state, T_order, T);
g2_v = NaN(193, 1);
g2_v(1)=(-(params(28)*(T(44)*(-((-y(37))*(y(35)+y(35))))/(y(35)*y(35)*y(35)*y(35))+T(43)*T(43)*T(80))));
g2_v(2)=(-(params(28)*(T(44)*(-1)/(y(35)*y(35))+T(43)*T(46)*T(80))));
g2_v(3)=(-(params(28)*T(46)*T(46)*T(80)));
g2_v(4)=(-(params(28)*(T(45)*(-((-y(37))*(y(35)+y(35))))/(y(35)*y(35)*y(35)*y(35))+T(43)*T(43)*T(81))));
g2_v(5)=(-(params(28)*(T(45)*(-1)/(y(35)*y(35))+T(43)*T(46)*T(81))));
g2_v(6)=(-(params(28)*T(46)*T(46)*T(81)));
g2_v(7)=(-1);
g2_v(8)=(-((-(params(29)/y(60)))*(y(32)+y(32))))/(y(32)*y(32)*y(32)*y(32));
g2_v(9)=(-((-params(29))/(y(60)*y(60))))/(y(32)*y(32));
g2_v(10)=(-((-((-T(2))*(y(63)+y(63))))/(y(63)*y(63)*y(63)*y(63))));
g2_v(11)=(-((-T(69))/(y(63)*y(63))));
g2_v(12)=(-((-T(75))/(y(63)*y(63))));
g2_v(13)=(-((-y(54))*(y(3)+y(3))))/(y(3)*y(3)*y(3)*y(3));
g2_v(14)=T(82);
g2_v(15)=(-((T(5)*T(5)*(-(2*T(4)*y(85)*y(65)))-(-(T(4)*y(85)*y(65)*2*y(34)))*(T(5)*2*y(34)+T(5)*2*y(34)))/(T(5)*T(5)*T(5)*T(5))));
g2_v(16)=(-((-(T(4)*y(85)*2*y(34)))/(T(5)*T(5))));
g2_v(17)=(-((-(2*y(34)*T(4)*y(65)))/(T(5)*T(5))));
g2_v(18)=(-((-(2*y(34)*y(65)*y(85)*T(71)))/(T(5)*T(5))));
g2_v(19)=(-((-(2*y(34)*y(65)*y(85)*T(77)))/(T(5)*T(5))));
g2_v(20)=(-(T(4)/T(5)));
g2_v(21)=(-(y(85)*T(71)/T(5)));
g2_v(22)=(-(y(85)*T(77)/T(5)));
g2_v(23)=1;
g2_v(24)=(-1);
g2_v(25)=(-(y(65)*T(71)/T(5)));
g2_v(26)=(-(y(65)*T(77)/T(5)));
g2_v(27)=(-((-params(29))*(y(60)+y(60))))/(y(60)*y(60)*y(60)*y(60))/y(32)-(T(84)+y(65)*y(85)*T(85)/T(5));
g2_v(28)=(-(T(86)+y(65)*y(85)*(-params(2))/(y(60)*y(60))/T(5)));
g2_v(29)=(-T(87));
g2_v(30)=(-T(47));
g2_v(31)=(-T(60));
g2_v(32)=T(7)*2*y(72)/T(9);
g2_v(33)=(-(T(7)*T(8)*T(62)))/(T(9)*T(9));
g2_v(34)=T(8)*T(72)/T(9);
g2_v(35)=T(8)*T(78)/T(9);
g2_v(36)=(-((-(y(40)*T(59)))/(T(6)*T(6))));
g2_v(37)=2*T(7)*y(71)/T(9);
g2_v(38)=(-(T(7)*y(71)*2*y(72)*T(62)))/(T(9)*T(9));
g2_v(39)=2*y(72)*y(71)*T(72)/T(9);
g2_v(40)=2*y(72)*y(71)*T(78)/T(9);
g2_v(41)=(-((T(6)*T(6)*(-(y(40)*y(41)*T(88)))-(-(y(40)*y(41)*T(59)))*(T(6)*T(59)+T(6)*T(59)))/(T(6)*T(6)*T(6)*T(6))));
g2_v(42)=(T(9)*T(9)*(-(T(7)*y(71)*T(8)*getPowerDeriv(y(78),1+params(11),2)))-(-(T(7)*y(71)*T(8)*T(62)))*(T(9)*T(62)+T(9)*T(62)))/(T(9)*T(9)*T(9)*T(9));
g2_v(43)=(-(T(62)*T(8)*y(71)*T(72)))/(T(9)*T(9));
g2_v(44)=(-(T(62)*T(8)*y(71)*T(78)))/(T(9)*T(9));
g2_v(45)=T(8)*y(71)*T(83)/params(1)/T(9);
g2_v(46)=T(8)*y(71)*(-((1-params(30))*params(2)))/(y(60)*y(60))/params(1)/T(9);
g2_v(47)=(-((-((-(params(10)*(1-params(10))))*((1-params(10))*(params(10)+y(49)*(1-params(10)))+(1-params(10))*(params(10)+y(49)*(1-params(10))))))/((params(10)+y(49)*(1-params(10)))*(params(10)+y(49)*(1-params(10)))*(params(10)+y(49)*(1-params(10)))*(params(10)+y(49)*(1-params(10))))));
g2_v(48)=(-(y(50)*T(10)*(-((-T(2))*(y(63)+y(63))))/(y(63)*y(63)*y(63)*y(63))));
g2_v(49)=(-(y(50)*T(38)*T(39)));
g2_v(50)=(-(T(10)*T(38)+y(50)*T(38)*T(64)));
g2_v(51)=(-(y(50)*T(38)*T(65)));
g2_v(52)=(-(y(50)*T(10)*(-T(69))/(y(63)*y(63))));
g2_v(53)=(-(y(50)*T(10)*(-T(75))/(y(63)*y(63))));
g2_v(54)=(-(T(3)*T(39)+y(50)*T(3)*(-((y(81)*y(50)*(1-y(81))-(1-y(81))*y(81)*(-(1-y(50))))/(y(50)*(1-y(81))*y(50)*(1-y(81)))))));
g2_v(55)=(-(y(50)*T(3)*(-((y(50)*(1-y(81))*(-(1-y(50)))-y(81)*(-(1-y(50)))*(-y(50)))/(y(50)*(1-y(81))*y(50)*(1-y(81)))))));
g2_v(56)=(-(y(50)*T(39)*T(70)));
g2_v(57)=(-(y(50)*T(39)*T(76)));
g2_v(58)=(-(y(50)*(-((-((-y(54))*(y(3)+y(3))))/(y(3)*y(3)*y(3)*y(3))))));
g2_v(59)=(-y(54))/(y(3)*y(3));
g2_v(60)=(-(y(50)*(-T(82))));
g2_v(61)=(-((T(5)*T(5)*(-(2*T(13)))-(-(T(13)*2*y(34)))*(T(5)*2*y(34)+T(5)*2*y(34)))/(T(5)*T(5)*T(5)*T(5))));
g2_v(62)=(-((-(T(12)*2*y(34)))/(T(5)*T(5))));
g2_v(63)=(-((-(T(4)*y(85)*y(65)*2*y(34)))/(T(5)*T(5))));
g2_v(64)=(-((-(2*y(34)*y(65)*y(91)*params(2)*y(50)/y(60)))/(T(5)*T(5))));
g2_v(65)=(-((-(2*y(34)*y(65)*y(85)*(-(y(91)*params(2)*y(50)))/(y(60)*y(60))))/(T(5)*T(5))));
g2_v(66)=(-((-(2*y(34)*y(65)*y(85)*params(2)*y(50)/y(60)))/(T(5)*T(5))));
g2_v(67)=(-(T(4)*y(85)/T(5)));
g2_v(68)=(-(y(91)*params(2)*y(50)/y(60)/T(5)));
g2_v(69)=(-(y(85)*(-(y(91)*params(2)*y(50)))/(y(60)*y(60))/T(5)));
g2_v(70)=(-(y(85)*params(2)*y(50)/y(60)/T(5)));
g2_v(71)=y(50);
g2_v(72)=y(39);
g2_v(73)=y(38);
g2_v(74)=(-y(56));
g2_v(75)=(-y(50));
g2_v(76)=(-(T(3)*T(64)+T(3)*T(64)+y(50)*T(3)*(-((-((y(50)*(1-y(81))*y(81)*(-(1-y(64)))-(1-y(64))*(1-y(50))*y(81)*(1-y(81)))*((1-y(81))*y(50)*(1-y(81))+(1-y(81))*y(50)*(1-y(81)))))/(y(50)*(1-y(81))*y(50)*(1-y(81))*y(50)*(1-y(81))*y(50)*(1-y(81)))))));
g2_v(77)=(-(T(3)*T(65)+y(50)*T(3)*(-((y(50)*(1-y(81))*y(50)*(1-y(81))*(y(81)*(-(1-y(64)))*(-y(50))+y(50)*(1-y(81))*(-(1-y(64)))-((1-y(64))*(1-y(50))*(1-y(81))-(1-y(64))*(1-y(50))*y(81)))-(y(50)*(1-y(81))*y(81)*(-(1-y(64)))-(1-y(64))*(1-y(50))*y(81)*(1-y(81)))*(y(50)*(1-y(81))*(-y(50))+y(50)*(1-y(81))*(-y(50))))/(y(50)*(1-y(81))*y(50)*(1-y(81))*y(50)*(1-y(81))*y(50)*(1-y(81)))))));
g2_v(78)=T(41);
g2_v(79)=(-(T(4)*y(65)/T(5)));
g2_v(80)=(-y(43));
g2_v(81)=(-(y(65)*y(85)*T(71)/T(5)+T(10)*T(70)+y(50)*T(64)*T(70)));
g2_v(82)=(-(y(65)*y(85)*T(77)/T(5)+T(10)*T(76)+y(50)*T(64)*T(76)));
g2_v(83)=(-(y(50)*T(3)*(-((-(((1-y(64))*(1-y(50))*y(50)*(1-y(81))-(1-y(64))*(1-y(50))*y(81)*(-y(50)))*(y(50)*(1-y(81))*(-y(50))+y(50)*(1-y(81))*(-y(50)))))/(y(50)*(1-y(81))*y(50)*(1-y(81))*y(50)*(1-y(81))*y(50)*(1-y(81)))))));
g2_v(84)=(-(y(50)*T(65)*T(70)));
g2_v(85)=(-(y(50)*T(65)*T(76)));
g2_v(86)=(-(y(65)*(-(y(91)*params(2)*y(50)))/(y(60)*y(60))/T(5)));
g2_v(87)=(-(y(65)*params(2)*y(50)/y(60)/T(5)));
g2_v(88)=(-(y(50)*T(10)*T(84)+y(65)*y(85)*(-((-(y(91)*params(2)*y(50)))*(y(60)+y(60))))/(y(60)*y(60)*y(60)*y(60))/T(5)));
g2_v(89)=(-(y(50)*T(10)*T(86)+y(65)*y(85)*(-(params(2)*y(50)))/(y(60)*y(60))/T(5)));
g2_v(90)=(-(y(50)*T(10)*T(87)));
g2_v(91)=(-(T(14)*(2*T(15)*T(89)+T(40)*2*T(40))))-T(16)*((-params(20))*T(40)*exp(T(15)*(-params(20)))*(-params(20))*T(40)+exp(T(15)*(-params(20)))*(-params(20))*T(89)+params(20)*T(89));
g2_v(92)=(-(T(14)*(2*T(15)*T(82)+T(40)*2*T(41))))-T(16)*((-params(20))*T(40)*exp(T(15)*(-params(20)))*(-params(20))*T(41)+exp(T(15)*(-params(20)))*(-params(20))*T(82)+params(20)*T(82));
g2_v(93)=(-(T(14)*T(41)*2*T(41)))-T(16)*(-params(20))*T(41)*exp(T(15)*(-params(20)))*(-params(20))*T(41);
g2_v(94)=(-((params(19)-1)*T(89)))-T(17)*(-((-params(20))*T(40)*exp(T(15)*(-params(20)))*(-params(20))*T(40)+exp(T(15)*(-params(20)))*(-params(20))*T(89)));
g2_v(95)=(-((params(19)-1)*T(82)))-T(17)*(-((-params(20))*T(40)*exp(T(15)*(-params(20)))*(-params(20))*T(41)+exp(T(15)*(-params(20)))*(-params(20))*T(82)));
g2_v(96)=(-(T(17)*(-((-params(20))*T(41)*exp(T(15)*(-params(20)))*(-params(20))*T(41)))));
g2_v(97)=(-(T(18)*T(47)*2*T(47)))-T(20)*(-params(15))*T(47)*exp(T(19)*(-params(15)))*(-params(15))*T(47);
g2_v(98)=(-(T(18)*(2*T(19)*T(90)+T(47)*2*T(60))))-T(20)*((-params(15))*T(47)*exp(T(19)*(-params(15)))*(-params(15))*T(60)+exp(T(19)*(-params(15)))*(-params(15))*T(90)+params(15)*T(90));
g2_v(99)=(-(T(18)*(T(60)*2*T(60)+2*T(19)*T(91))))-T(20)*((-params(15))*T(60)*exp(T(19)*(-params(15)))*(-params(15))*T(60)+exp(T(19)*(-params(15)))*(-params(15))*T(91)+params(15)*T(91));
g2_v(100)=(-(T(21)*(-((-params(15))*T(47)*exp(T(19)*(-params(15)))*(-params(15))*T(47)))));
g2_v(101)=(-((params(14)-1)*T(90)))-T(21)*(-((-params(15))*T(47)*exp(T(19)*(-params(15)))*(-params(15))*T(60)+exp(T(19)*(-params(15)))*(-params(15))*T(90)));
g2_v(102)=(-((params(14)-1)*T(91)))-T(21)*(-((-params(15))*T(60)*exp(T(19)*(-params(15)))*(-params(15))*T(60)+exp(T(19)*(-params(15)))*(-params(15))*T(91)));
g2_v(103)=(-(T(23)*exp(y(61))*getPowerDeriv(y(34),params(4),2)));
g2_v(104)=(-(T(42)*T(53)));
g2_v(105)=(-(T(23)*T(42)));
g2_v(106)=(-(T(22)*getPowerDeriv(y(44),1-params(4),2)));
g2_v(107)=(-(T(22)*T(53)));
g2_v(108)=(-(T(22)*T(23)));
g2_v(109)=(-((-((-(y(42)*params(4)))*(y(34)+y(34))))/(y(34)*y(34)*y(34)*y(34))));
g2_v(110)=(-((-params(4))/(y(34)*y(34))));
g2_v(111)=(-((-(y(56)*(1-params(4))))/(y(44)*y(44))));
g2_v(112)=(-((1-params(4))/y(44)));
g2_v(113)=(-((-((-(y(42)*y(56)*(1-params(4))))*(y(44)+y(44))))/(y(44)*y(44)*y(44)*y(44))));
g2_v(114)=(-((-(y(42)*(1-params(4))))/(y(44)*y(44))));
g2_v(115)=(-(T(24)*(2*T(25)*T(92)+T(54)*2*T(54))))-T(26)*((-params(18))*T(54)*exp(T(25)*(-params(18)))*(-params(18))*T(54)+exp(T(25)*(-params(18)))*(-params(18))*T(92)+params(18)*T(92));
g2_v(116)=(-(T(24)*(2*T(25)*T(93)+T(54)*2*T(55))))-T(26)*((-params(18))*T(54)*exp(T(25)*(-params(18)))*(-params(18))*T(55)+exp(T(25)*(-params(18)))*(-params(18))*T(93)+params(18)*T(93));
g2_v(117)=(-(T(24)*T(55)*2*T(55)))-T(26)*(-params(18))*T(55)*exp(T(25)*(-params(18)))*(-params(18))*T(55);
g2_v(118)=(-((params(16)-1)*T(92)))-T(27)*(-((-params(18))*T(54)*exp(T(25)*(-params(18)))*(-params(18))*T(54)+exp(T(25)*(-params(18)))*(-params(18))*T(92)));
g2_v(119)=(-((params(16)-1)*T(93)))-T(27)*(-((-params(18))*T(54)*exp(T(25)*(-params(18)))*(-params(18))*T(55)+exp(T(25)*(-params(18)))*(-params(18))*T(93)));
g2_v(120)=(-(T(27)*(-((-params(18))*T(55)*exp(T(25)*(-params(18)))*(-params(18))*T(55)))));
g2_v(121)=(-((-((-(y(46)*y(51)))*(y(15)+y(15))))/(y(15)*y(15)*y(15)*y(15))));
g2_v(122)=(-((-y(51))/(y(15)*y(15))));
g2_v(123)=(-T(54));
g2_v(124)=T(29)*(T(57)*(-((-y(77))*(y(46)+y(46))))/(y(46)*y(46)*y(46)*y(46))+T(56)*2*T(56));
g2_v(125)=T(29)*(T(57)*(-1)/(y(46)*y(46))+T(56)*2*1/y(46));
g2_v(126)=(-T(55));
g2_v(127)=T(28)*T(56)*T(57);
g2_v(128)=T(56)*T(57)*T(73);
g2_v(129)=T(56)*T(57)*y(82)*params(2)*1/y(60);
g2_v(130)=T(29)*1/y(46)*2*1/y(46);
g2_v(131)=T(28)*T(58);
g2_v(132)=T(58)*T(73);
g2_v(133)=T(58)*y(82)*params(2)*1/y(60);
g2_v(134)=T(30)*params(2)*(-y(91))/(y(60)*y(60));
g2_v(135)=T(30)*params(2)*1/y(60);
g2_v(136)=T(30)*y(82)*params(2)*(-((-y(91))*(y(60)+y(60))))/(y(60)*y(60)*y(60)*y(60));
g2_v(137)=T(30)*y(82)*params(2)*(-1)/(y(60)*y(60));
g2_v(138)=(-((1-params(5))*T(71)/params(1)));
g2_v(139)=(-((1-params(5))*T(77)/params(1)));
g2_v(140)=(-((1-params(5))*y(84)*T(85)/params(1)));
g2_v(141)=(-((1-params(5))*y(84)*(-params(2))/(y(60)*y(60))/params(1)));
g2_v(142)=y(39);
g2_v(143)=y(38);
g2_v(144)=y(34);
g2_v(145)=1;
g2_v(146)=1;
g2_v(147)=(-((-((-(y(91)*params(2)*y(59)*exp(y(62))/params(1)))*(y(78)+y(78))))/(y(78)*y(78)*y(78)*y(78))));
g2_v(148)=(-((-(y(91)*params(2)*exp(y(62))/params(1)))/(y(78)*y(78))));
g2_v(149)=(-((-(params(2)*y(59)*exp(y(62))/params(1)))/(y(78)*y(78))));
g2_v(150)=T(63);
g2_v(151)=(-(params(2)*exp(y(62))/params(1)/y(78)));
g2_v(152)=T(68);
g2_v(153)=T(79);
g2_v(154)=(-T(31));
g2_v(155)=(-((y(48)+y(48))/(y(48)*y(48)*y(48)*y(48))));
g2_v(156)=(-(y(78)*y(89)*(-((-(T(4)*y(73)))*(y(42)+y(42))))/(y(42)*y(42)*y(42)*y(42))));
g2_v(157)=(-(y(78)*y(89)*(-T(4))/(y(42)*y(42))));
g2_v(158)=(-(y(89)*(-(T(4)*y(73)))/(y(42)*y(42))));
g2_v(159)=(-(y(78)*(-(T(4)*y(73)))/(y(42)*y(42))));
g2_v(160)=(-(y(78)*y(89)*(-(y(73)*T(71)))/(y(42)*y(42))));
g2_v(161)=(-(y(78)*y(89)*(-(y(73)*T(77)))/(y(42)*y(42))));
g2_v(162)=(-(y(89)*T(4)/y(42)));
g2_v(163)=(-(y(78)*T(4)/y(42)));
g2_v(164)=(-(y(78)*y(89)*T(71)/y(42)));
g2_v(165)=(-(y(78)*y(89)*T(77)/y(42)));
g2_v(166)=1;
g2_v(167)=(-(T(4)*y(73)/y(42)));
g2_v(168)=(-(y(89)*y(73)*T(71)/y(42)));
g2_v(169)=(-(y(89)*y(73)*T(77)/y(42)));
g2_v(170)=(-(y(78)*y(73)*T(71)/y(42)));
g2_v(171)=(-(y(78)*y(73)*T(77)/y(42)));
g2_v(172)=(-(y(78)*y(89)*y(73)*T(85)/y(42)));
g2_v(173)=(-(y(78)*y(89)*y(73)*(-params(2))/(y(60)*y(60))/y(42)));
g2_v(174)=(-params(12));
g2_v(175)=(-(y(47)*params(1)*(-((-y(38))*(y(7)+y(7))))/(y(7)*y(7)*y(7)*y(7))));
g2_v(176)=(-(y(47)*params(1)*(-1)/(y(7)*y(7))));
g2_v(177)=(-(params(1)*(-y(38))/(y(7)*y(7))));
g2_v(178)=(-(params(1)*1/y(7)));
g2_v(179)=(-(T(33)*(T(51)*T(34)*(T(49)*(-((-y(42))*(y(11)+y(11))))/(y(11)*y(11)*y(11)*y(11))+T(48)*T(48)*T(94))+T(50)*T(50)*T(95))));
g2_v(180)=(-(T(33)*(T(51)*T(34)*(T(49)*(-1)/(y(11)*y(11))+T(48)*1/y(11)*T(94))+T(50)*T(52)*T(95))));
g2_v(181)=(-(T(33)*(T(51)*T(48)*T(49)*T(61)+T(50)*T(35)*T(61)*T(95))));
g2_v(182)=(-(T(50)*T(51)*T(67)));
g2_v(183)=(-(T(50)*T(51)*T(32)*(-params(25))*exp((-params(25))*x(3))));
g2_v(184)=(-(T(33)*(T(52)*T(52)*T(95)+T(51)*T(34)*1/y(11)*1/y(11)*T(94))));
g2_v(185)=(-(T(33)*(T(52)*T(35)*T(61)*T(95)+T(51)*T(49)*1/y(11)*T(61))));
g2_v(186)=(-(T(51)*T(52)*T(67)));
g2_v(187)=(-(T(51)*T(52)*T(32)*(-params(25))*exp((-params(25))*x(3))));
g2_v(188)=(-(T(33)*(T(35)*T(61)*T(35)*T(61)*T(95)+T(51)*T(35)*params(1)/params(2)*getPowerDeriv(y(47),params(7),2))));
g2_v(189)=(-(T(51)*T(35)*T(61)*T(67)));
g2_v(190)=(-(T(51)*T(35)*T(61)*T(32)*(-params(25))*exp((-params(25))*x(3))));
g2_v(191)=(-(T(37)*exp((-params(25))*x(3))*getPowerDeriv(y(28),params(6),2)));
g2_v(192)=(-(T(37)*T(66)*(-params(25))*exp((-params(25))*x(3))));
g2_v(193)=(-(T(37)*T(32)*(-params(25))*(-params(25))*exp((-params(25))*x(3))));
end
